Update Webhook Config
curl --request POST \
--url https://api.velt.dev/v2/workspace/webhookconfig/update \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"useWebhookService": true,
"webhookServiceConfig": {
"authToken": "<string>",
"rawNotificationUrl": "<string>",
"processedNotificationUrl": "<string>",
"encodeData": true,
"encryptData": true,
"publicKey": "<string>",
"triggers": {
"comment_annotation.add": true,
"comment.add": true,
"comment.update": true,
"comment.delete": true,
"comment_annotation.status_change": true,
"comment_annotation.assign": true,
"comment_annotation.priority_change": true,
"comment.reaction_add": true,
"comment.reaction_delete": true
}
}
}
}
'{
"result": {
"status": "success",
"message": "Webhook configuration updated successfully.",
"data": null
}
}
Webhooks Configuration
Update Webhook Config
POST
/
v2
/
workspace
/
webhookconfig
/
update
Update Webhook Config
curl --request POST \
--url https://api.velt.dev/v2/workspace/webhookconfig/update \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"useWebhookService": true,
"webhookServiceConfig": {
"authToken": "<string>",
"rawNotificationUrl": "<string>",
"processedNotificationUrl": "<string>",
"encodeData": true,
"encryptData": true,
"publicKey": "<string>",
"triggers": {
"comment_annotation.add": true,
"comment.add": true,
"comment.update": true,
"comment.delete": true,
"comment_annotation.status_change": true,
"comment_annotation.assign": true,
"comment_annotation.priority_change": true,
"comment.reaction_add": true,
"comment.reaction_delete": true
}
}
}
}
'{
"result": {
"status": "success",
"message": "Webhook configuration updated successfully.",
"data": null
}
}
Use this API to update the webhook service configuration for a workspace. At least one of
useWebhookService or webhookServiceConfig must be provided.
This endpoint uses API-key-level auth: pass
x-velt-api-key and x-velt-auth-token as headers. You can obtain these from the Get Auth Tokens endpoint.Endpoint
POST https://api.velt.dev/v2/workspace/webhookconfig/update
Headers
Your API key.
Your Auth Token.
Body
Params
Show properties
Show properties
Whether to enable the webhook service.
Webhook service configuration object.
Show properties
Show properties
Auth token sent with each webhook request for verification.
URL to receive raw (unprocessed) webhook notifications.
URL to receive processed webhook notifications.
Whether to base64 encode the webhook payload.
Whether to encrypt the webhook payload.
Public key used for payload encryption.
Event triggers that activate webhook notifications. Each key is an event type string and the value is a boolean to enable (
true) or disable (false) that trigger. See Webhooks for the full list of event types. Common keys include:Show properties
Show properties
Trigger when a new comment thread is created.
Trigger when a new comment is added to a thread.
Trigger when a comment is updated.
Trigger when a comment is deleted.
Trigger when a thread’s status changes (e.g., resolved).
Trigger when a thread is assigned to a user.
Trigger when a thread’s priority changes.
Trigger when a reaction is added to a comment.
Trigger when a reaction is removed from a comment.
Example Request
{
"data": {
"useWebhookService": true,
"webhookServiceConfig": {
"authToken": "webhook_auth_token_here",
"rawNotificationUrl": "https://example.com/webhooks/raw",
"processedNotificationUrl": "https://example.com/webhooks/processed"
}
}
}
Example Response
Success Response
{
"result": {
"status": "success",
"message": "Webhook configuration updated successfully.",
"data": null
}
}
Failure Response
{
"error": {
"status": "INVALID_ARGUMENT",
"message": "Invalid webhook service configuration."
}
}
{
"result": {
"status": "success",
"message": "Webhook configuration updated successfully.",
"data": null
}
}
Was this page helpful?
⌘I

